Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class ExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.expression.ExpressionException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  ComparisonException, IntrospectionException, InvalidExpressionException, MethodCallException

    public class ExpressionException

extends ApplicationException

Base class for all `Exception`s in the expression package.

See Also
  Serialized Form

Constructor Summary
`ExpressionException(String message)` Creates a `ExpressionException` using a given message.
`ExpressionException(String message, Throwable cause)` Creates a `ExpressionException` using a given message and a nested `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionException

    public ExpressionException(String message)

  Creates a `ExpressionException` using a given message.

  Parameters
    `message` - the exception message.

### ExpressionException

    public ExpressionException(String message,
                               Throwable cause)

  Creates a `ExpressionException` using a given message and a nested `Throwable`.

  Parameters
    `message` - the exception message.
    `cause` - the nested `Throwable`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.